Pfsense 2.0 GA: Parse Error



  • Hi Community,

    I got this error, when I click on Interfaces -> any Interface

    Parse error: syntax error, unexpected T_CONSTANT_ENCAPSED_STRING, expecting ',' or ')' in /usr/local/www/interfaces.php on line 797

    any ideas?

    regards


  • Rebel Alliance Developer Netgate

    Looks like your file must have been corrupted somehow, there isn't a syntax error on that line in the code that shipped with 2.0.

    Is this a new install or an upgrade?

    What is on that line in interfaces.php, and the few lines around it?



  • @jimp:

    Looks like your file must have been corrupted somehow, there isn't a syntax error on that line in the code that shipped with 2.0.

    Is this a new install or an upgrade?

    What is on that line in interfaces.php, and the few lines around it?

    I guess my CF is dead! it was a new 2.0 installation, after reboot i have just this left :-)


  • Rebel Alliance Developer Netgate

    hah, yeah… I'd say that CF has seen better days.

    You may be able to reboot back to the other slice and work for a bit, but if you have another CF, I'd swap it out pronto.



  • @jimp:

    hah, yeah… I'd say that CF has seen better days.

    You may be able to reboot back to the other slice and work for a bit, but if you have another CF, I'd swap it out pronto.

    Oh yes! Cheap CF card is now replaced with a new one. also cheap but okay :-)

    i've bought a SanDisk SanDisk ULTRA Compact Flash 200x, 4 GB
    this card has calculates its space with 1MB=1000KB instead of 1024KB. So the 4GB pfSense Image doesnt fit and i had to use the 2GB -> Same functions, doesnt need more space…. so what`? :-)


  • Rebel Alliance Developer Netgate

    Should work fine. Once we post images for 2.0.1 they are sized to 1000's instead of 1024 so they'll fit again.



  • @jimp:

    Should work fine. Once we post images for 2.0.1 they are sized to 1000's instead of 1024 so they'll fit again.

    Okay, that sound's nice. I will change the image until 2.0.1 will be released. its working like a charm right now :-)


Locked